// Vytvorenie obalu/prebalu knihy V1 až V9
// (c) JP, verzia 2014.11.15

//Definícia globálnych nastavení
//Prednastavené hodnoty musia byť v pt, nech je vstup v akejkoľvek jednotke (pt, mm,...)
//Štandardné hodnoty: A5 (okraje 10mm), bez chlopní, väzba V2, 15mm chrbát (okraj 2mm), spadávka 3mm
var gVyskaH=595.275590551181; //210 mm
var gSirkaW=419.527559055118; //148 mm
var gOkrajL=28.3464566929134; //10 mm
var gOkrajR=28.3464566929134; //10 mm
var gOkrajT=28.3464566929134; //10 mm
var gOkrajB=28.3464566929134; //10 mm
var gChrbat=42.5196850393701; //15 mm
var gChrbatO=5.66929133858268; //2 mm
var gChrbatX=0; //0 mm
var gChlopna=0; //0 mm
var gChlopnaX=0; //0 mm
var gSpadavka=8.50393700787402; //3 mm
var gPopis=0; //0 mm
//Orezové a pasovacie značky
var gSirkaCiary=0.25; //0,25 pt
var gOrezoveZnackyOK=true; //Prednastavené vykresľovanie orezových značiek
var gOrezoveSpadavka=8.50393700787402; //3 mm
var gOrezoveDlzka=14.1732283464567; //5 mm
var gPasovacieZnackyOK=true; //Prednastavené vykresľovanie pasovacích značiek
var gPasovacieSpadavka=8.50393700787402; //3 mm
var gPasovacieDlzka=8.50393700787402; //3 mm

var NovyDokument;

ZobrazDialog();

function ZobrazDialog(){
 //Načítame nastavenia zo súboru (ak existuje)
 Nacitaj_nastavenia();
 // Odpamätáme si terajšie nastavenie bodov na palec, napr. 67.564 (Didot)
 var BodyNaPalec=app.viewPreferences.pointsPerInch;
 // nastavíme interný počet 72 bodov na palec
 try {
  app.viewPreferences.pointsPerInch=72;
  app.activeDocument.viewPreferences.pointsPerInch=72;
 }
 catch (e) {}
 var DialogParametre = app.dialogs.add({name:"Vytvorenie obalu alebo prebalu"});
 with(DialogParametre){
  with(dialogColumns.add()){
   with (dialogRows.add()) {
    with(dialogColumns.add()){
     with(borderPanels.add()){
      with(dialogColumns.add()){
       staticTexts.add({staticLabel:"Predná a zadná strana obalu"});
       staticTexts.add({staticLabel:"Výška:"});
       staticTexts.add({staticLabel:"Šírka:"});
       staticTexts.add({staticLabel:"Okraje (všetky časti obalu)"});
       staticTexts.add({staticLabel:"Horný okraj:"});
       staticTexts.add({staticLabel:"Spodný okraj:"});
       staticTexts.add({staticLabel:"Okraje (predná a zadná strana, chlopne)"});
       staticTexts.add({staticLabel:"Vonkajší okraj:"});
       staticTexts.add({staticLabel:"Vnútorný okraj:"});
       staticTexts.add({staticLabel:"Chrbát (vytvorí sa iba ak je šírka nenulová)"});
       staticTexts.add({staticLabel:"Šírka chrbta (pre V1 zadajte 0):"});
       staticTexts.add({staticLabel:"Okraj chrbta:"});
       staticTexts.add({staticLabel:"Odsadenie chrbta:"});
       staticTexts.add({staticLabel:"Chlopne (vytvoria sa iba ak je šírka nenulová)"});
       staticTexts.add({staticLabel:"Šírka chlopne:"});
       staticTexts.add({staticLabel:"Odsadenie chlopne:"});
       staticTexts.add({staticLabel:"Spadávka a popis"});
       staticTexts.add({staticLabel:"Spadávka:"});
       staticTexts.add({staticLabel:"Popis:"});
      }
      with(dialogColumns.add()){
       staticTexts.add({staticLabel:" "});
       var VyskaHField = measurementEditboxes.add({editValue:gVyskaH, editUnits:MeasurementUnits.MILLIMETERS});
       var SirkaWField = measurementEditboxes.add({editValue:gSirkaW, editUnits:MeasurementUnits.MILLIMETERS});
       staticTexts.add({staticLabel:" "});
       var OkrajTField = measurementEditboxes.add({editValue:gOkrajT, editUnits:MeasurementUnits.MILLIMETERS});     
       var OkrajBField = measurementEditboxes.add({editValue:gOkrajB, editUnits:MeasurementUnits.MILLIMETERS});
       staticTexts.add({staticLabel:" "});
       var OkrajLField = measurementEditboxes.add({editValue:gOkrajL, editUnits:MeasurementUnits.MILLIMETERS});
       var OkrajRField = measurementEditboxes.add({editValue:gOkrajR, editUnits:MeasurementUnits.MILLIMETERS});
       staticTexts.add({staticLabel:" "});      
       var ChrbatField = measurementEditboxes.add({editValue:gChrbat, editUnits:MeasurementUnits.MILLIMETERS});     
       var ChrbatOField = measurementEditboxes.add({editValue:gChrbatO, editUnits:MeasurementUnits.MILLIMETERS});     
       var ChrbatXField = measurementEditboxes.add({editValue:gChrbatX, editUnits:MeasurementUnits.MILLIMETERS});
       staticTexts.add({staticLabel:" "});     
       var ChlopnaField = measurementEditboxes.add({editValue:gChlopna, editUnits:MeasurementUnits.MILLIMETERS});     
       var ChlopnaXField = measurementEditboxes.add({editValue:gChlopnaX, editUnits:MeasurementUnits.MILLIMETERS});
       staticTexts.add({staticLabel:" "});     
       var SpadavkaField = measurementEditboxes.add({editValue:gSpadavka, editUnits:MeasurementUnits.MILLIMETERS});     
       var PopisField = measurementEditboxes.add({editValue:gPopis, editUnits:MeasurementUnits.MILLIMETERS});
      }
     }
    }
    with(dialogColumns.add()){
     with(borderPanels.add()){
      with(dialogColumns.add()){
       staticTexts.add({staticLabel:"Orezové a pasovacie značky"});
       staticTexts.add({staticLabel:"Šírka čiary:"});
       staticTexts.add({staticLabel:" "});
       //Orezové značky
       var OrezoveZnacky=enablingGroups.add({staticLabel:"Orezové značky", checkedState:gOrezoveZnackyOK}); //Prednastavené vykresľovanie orezových značiek
       with (OrezoveZnacky){
        with(borderPanels.add()){
         with (dialogColumns.add()){
          staticTexts.add({staticLabel:"Odsadenie:"});
          staticTexts.add({staticLabel:"Dĺžka:"});
         }
         with (dialogColumns.add()){
          //Odsadenie a dĺžku orezových značiek budeme zadávať v milimetroch
          var OrezoveSpadavkaField=measurementEditboxes.add({editValue:gOrezoveSpadavka, editUnits:MeasurementUnits.MILLIMETERS}); //3 mm
          var OrezoveDlzkaField=measurementEditboxes.add({editValue:gOrezoveDlzka, editUnits:MeasurementUnits.MILLIMETERS}); //5 mm
         }
        }
       }
       staticTexts.add({staticLabel:" "});
       //Pasovacie značky
       var PasovacieZnacky=enablingGroups.add({staticLabel:"Pasovacie značky", checkedState:gPasovacieZnackyOK}); //Prednastavené vykresľovanie pasovacích značiek
       with (PasovacieZnacky){
        with(borderPanels.add()){
         with (dialogColumns.add()){
          staticTexts.add({staticLabel:"Odsadenie:"});
          staticTexts.add({staticLabel:"Dĺžka:"});
         }
         with (dialogColumns.add()){
          //Odsadenie a dĺžku pasovacích značiek budeme zadávať v milimetroch
          var PasovacieSpadavkaField=measurementEditboxes.add({editValue:gPasovacieSpadavka, editUnits:MeasurementUnits.MILLIMETERS}); //3 mm
          var PasovacieDlzkaField=measurementEditboxes.add({editValue:gPasovacieDlzka, editUnits:MeasurementUnits.MILLIMETERS}); //3 mm
         }
        }
       }
      }
      with(dialogColumns.add()){
       staticTexts.add({staticLabel:" "});
       //Šírka čiar orezových a pasovacích značiek 
       //Šírku čiary budeme zadávať v bodoch
       var SirkaCiaryField=measurementEditboxes.add({editValue:gSirkaCiary, editUnits:MeasurementUnits.POINTS}); //0,25 pt
       staticTexts.add({staticLabel:" "});
      }
     }
    }   
   }   
  }
 }
 var DialogParametreOK = DialogParametre.show();
 // Nastavíme pôvodný počet bodov na palec
 try {
  app.viewPreferences.pointsPerInch=BodyNaPalec;
  app.activeDocument.viewPreferences.pointsPerInch=BodyNaPalec;
 }
 catch (e) {}
 if (DialogParametreOK == true){
  //Nastavenie premenných z dialógu
  gVyskaH=VyskaHField.editValue;
  gSirkaW=SirkaWField.editValue;
  gOkrajL=OkrajLField.editValue;
  gOkrajR=OkrajRField.editValue;
  gOkrajT=OkrajTField.editValue;
  gOkrajB=OkrajBField.editValue;  
  gChrbat=ChrbatField.editValue;
  gChrbatO=ChrbatOField.editValue;
  gChrbatX=ChrbatXField.editValue;
  gChlopna=ChlopnaField.editValue;
  gChlopnaX=ChlopnaXField.editValue;
  gSpadavka=SpadavkaField.editValue;
  gPopis=PopisField.editValue;
  gSirkaCiary=SirkaCiaryField.editValue;
  gOrezoveZnackyOK=OrezoveZnacky.checkedState;
  gOrezoveSpadavka=OrezoveSpadavkaField.editValue;
  gOrezoveDlzka=OrezoveDlzkaField.editValue;
  gPasovacieZnackyOK=PasovacieZnacky.checkedState;
  gPasovacieSpadavka=PasovacieSpadavkaField.editValue;
  gPasovacieDlzka=PasovacieDlzkaField.editValue;
  DialogParametre.destroy();
  if ((gVyskaH == 0) || (gSirkaW == 0)){
   //Ak je výška alebo šírka obálky nulová, nie je ju možné vytvoriť
   alert("Obálka nesmie mať nulovú výšku alebo šírku.");
  }
  else {
   //Uložíme nastavenia do súboru (ak neexistuje, tak sa vytvorí) a vytvoríme obálku
   Uloz_nastavenia();
   VytvorObalku();
  }
 }
 else{  
  DialogParametre.destroy();
 }
}

//Vytvorenie nového dokumentu
function VytvorDokument() {
 //Príprava parametrov dokumentu
 var Dokument=app.documentPresets.add();
 with(Dokument) {
  facingPages=true;
  pageHeight=gVyskaH;
  pageWidth=gSirkaW;
  documentBleedUniformSize=true;
  documentBleedTopOffset=gSpadavka;
  documentSlugUniformSize=true;
  slugTopOffset=gPopis;
  columnCount=1;
  columnGutter=0;
  bottom=0;
  left=0;
  right=0;
  top=0;
 }
 //Vlastné vytvorenie dokumentu
 NovyDokument=app.documents.add(true,Dokument);
 //Vymazanie prípravy
 Dokument.remove();
}

//Zmena šírky strany a nastavenie okrajov (ak je možné)
function ZmenSirku(strana, sirka, lavy, pravy) {
 strana.resize(CoordinateSpaces.INNER_COORDINATES,  
               AnchorPoint.TOP_LEFT_ANCHOR,   
               ResizeMethods.REPLACING_CURRENT_DIMENSIONS_WITH,  
               [sirka,gVyskaH]);
 if (sirka > (lavy+pravy)) {
  strana.marginPreferences.left=lavy;
  strana.marginPreferences.right=pravy;
 }
 if (gVyskaH > (gOkrajT+gOkrajB)) {
  strana.marginPreferences.top=gOkrajT;
  strana.marginPreferences.bottom=gOkrajB;
 }               
}

//Vytvorenie obálky a zloženie stránok vedľa seba
function VytvorObalku() {
 // Odpamätáme si terajšie nastavenie bodov na palec, napr. 67.564 (Didot)
 var BodyNaPalec=app.viewPreferences.pointsPerInch;
 // nastavíme interný počet 72 bodov na palec
 try {
  app.viewPreferences.pointsPerInch=72;
  app.activeDocument.viewPreferences.pointsPerInch=72;
 }
 catch (e) {}
 //Odpamätanie pôvodných nastavení pravítok
 var PovodneNastavenia=app.viewPreferences.rulerOrigin;
 var PovodnaXJednotka=app.viewPreferences.horizontalMeasurementUnits;
 var PovodnaYJednotka=app.viewPreferences.verticalMeasurementUnits;
 var PovodnaTahJednotka=app.viewPreferences.strokeMeasurementUnits;
 //Nastavenie pravítok na pt
 app.viewPreferences.rulerOrigin=RulerOrigin.spreadOrigin;
 app.viewPreferences.horizontalMeasurementUnits=MeasurementUnits.POINTS;
 app.viewPreferences.verticalMeasurementUnits=MeasurementUnits.POINTS;
 app.viewPreferences.strokeMeasurementUnits=MeasurementUnits.POINTS;
 //Vytvorenie nového dokumentu
 VytvorDokument();
 //Nastavenie pravítok v dokumente na pt 
 NovyDokument.viewPreferences.horizontalMeasurementUnits=MeasurementUnits.POINTS;
 NovyDokument.viewPreferences.verticalMeasurementUnits=MeasurementUnits.POINTS;
 NovyDokument.viewPreferences.strokeMeasurementUnits=MeasurementUnits.POINTS;
 //Aby sme mohli presúvať strany
 NovyDokument.documentPreferences.allowPageShuffle=false;
 //Vytváranie a „skladanie“ strán
 var rozvrhnutie=NovyDokument.spreads[0];
 //Ľavú a pravú stranu vytvoríme vždy
 var lavaS=NovyDokument.pages.add();
 ZmenSirku(lavaS, gSirkaW, gOkrajL, gOkrajR); 
 //Ľavú stranu presunieme na koniec dokumentu, aby sme mohli vymazať pôvodnú stranu, ktorá sa vytvára pri novom dokumente
 lavaS.move(LocationOptions.AT_END, rozvrhnutie);
 //Máme ľavú stranu obálky, vymažeme prvú stranu, ktorá sa automaticky vytvorila pri novom dokumente
 NovyDokument.pages[0].remove();
 var pravaS=NovyDokument.pages.add();
 ZmenSirku(pravaS, gSirkaW, gOkrajR, gOkrajL); //Pri pravých stranách prehadzujeme ľavý a pravý okraj (vnútorný-vonkajší) 
 if (gChrbat != 0) {
  //Je definovaný chrbát (V2, V8)
  var chrbatS=NovyDokument.pages.add();
  ZmenSirku(chrbatS, gChrbat, gChrbatO, gChrbatO); //Na chrbte nastavujeme rovnaký ľavý a pravý okraj
  if (gChrbatX != 0) {
   //Ak je zadefinované odsadenie chrbta (V8)
   var LchrbatXS=NovyDokument.pages.add();
   ZmenSirku(LchrbatXS, gChrbatX, 0, 0); //Na odsadení chrbta nenastavujeme ľavý a pravý okraj
   var PchrbatXS=NovyDokument.pages.add();
   ZmenSirku(PchrbatXS, gChrbatX, 0, 0); //Na odsadení chrbta nenastavujeme ľavý a pravý okraj
   //Do stredu musíme zložiť ľavé odsadenie chrbta, chrbát, pravé odsadenie chrbta
	 LchrbatXS.move(LocationOptions.AT_END, rozvrhnutie);
   chrbatS.move(LocationOptions.AT_END, rozvrhnutie);
   PchrbatXS.move(LocationOptions.AT_END, rozvrhnutie);
   //Na začiatok a koniec musíme pridať ľavú a pravú stranu
   lavaS.move(LocationOptions.AT_BEGINNING, rozvrhnutie);
   pravaS.move(LocationOptions.AT_END, rozvrhnutie);   
  }
  else {
   //Ak nie je zadefinované odsadenie chrbta (V2)
   //Do stredu musíme zložiť ľavú stranu, chrbát, pravú stranu
   lavaS.move(LocationOptions.AT_END, rozvrhnutie);
   chrbatS.move(LocationOptions.AT_END, rozvrhnutie);
   pravaS.move(LocationOptions.AT_END, rozvrhnutie);
  }
 }
 else {
  //Nie je definovaný chrbát (V1)
  //Do stredu musíme zložiť ľavú stranu, pravú stranu
  lavaS.move(LocationOptions.AT_END, rozvrhnutie);
  pravaS.move(LocationOptions.AT_END, rozvrhnutie);
 } 
 if (gChlopna != 0) {
  //Sú chlopne, budeme ich pridávať na začiatok a koniec dokumentu
  if (gChlopnaX != 0) {
   //Sú odsadenia chlopní, tie musíme pridať pred vlastnými chlopňami
   var LchlopnaXS=NovyDokument.pages.add();
   ZmenSirku(LchlopnaXS, gChlopnaX, 0, 0); //Na odsadení chlopní nenastavujeme ľavý a pravý okraj
   var PchlopnaXS=NovyDokument.pages.add();
   ZmenSirku(PchlopnaXS, gChlopnaX, 0, 0); //Na odsadení chlopní nenastavujeme ľavý a pravý okraj
   LchlopnaXS.move(LocationOptions.AT_BEGINNING, rozvrhnutie);
   PchlopnaXS.move(LocationOptions.AT_END, rozvrhnutie);
  }
  var LchlopnaS=NovyDokument.pages.add();
  ZmenSirku(LchlopnaS, gChlopna, gOkrajR, gOkrajL); //Pri ľavých chlopniach prehadzujeme ľavý a pravý okraj (vnútorný-vonkajší)
  var PchlopnaS=NovyDokument.pages.add();
  ZmenSirku(PchlopnaS, gChlopna, gOkrajL, gOkrajR); //Pri pravých chlopniach prehadzujeme ľavý a pravý okraj (vnútorný-vonkajší) 
  LchlopnaS.move(LocationOptions.AT_BEGINNING, rozvrhnutie);
  PchlopnaS.move(LocationOptions.AT_END, rozvrhnutie);
 }
 //Je vytvorená obálka, vykreslíme orezové a pasovacie čiary
 //Nastavenie farieb "Registration", "Paper" a vzoru "None"
 var FarbaRegistration=NovyDokument.colors.item("Registration");
 var FarbaPaper=NovyDokument.colors.item("Paper");
 var VzorNone=NovyDokument.swatches.item("None");
 var xl=0;
 var xp=0;
 var yh=0;
 var yd=0;
 if (gOrezoveZnackyOK==true) {
  //Vytvorenie vrstvy pre orezové značky (ak neexistuje)
  var VrstvaZnaciek=NovyDokument.layers.item("OrezoveZnacky");
  try {
   VrstvaZnaciekName=VrstvaZnaciek.name;
  }
  catch (e) {
   var VrstvaZnaciek=NovyDokument.layers.add({name:"OrezoveZnacky"});
  }
  //vodorovné orezové značky
  xl=0-gOrezoveSpadavka-gOrezoveDlzka;
  xp=2*gSirkaW+gOrezoveSpadavka;
  if (gChrbat != 0) {
   xp=xp+gChrbat+2*gChrbatX;
  }
  if (gChlopna != 0) {
   xp=xp+2*gChlopna+2*gChlopnaX;
  }
  yh=0;
  yd=gVyskaH;
  //vľavo hore
  KresliCiaru([yh-gSirkaCiary, xl, yh-gSirkaCiary, xl+gOrezoveDlzka], gSirkaCiary, FarbaPaper, VzorNone, VrstvaZnaciek); // Biela nad
  KresliCiaru([yh+gSirkaCiary, xl, yh+gSirkaCiary, xl+gOrezoveDlzka], gSirkaCiary, FarbaPaper, VzorNone, VrstvaZnaciek); // Biela pod
  KresliCiaru([yh, xl, yh, xl+gOrezoveDlzka], gSirkaCiary, FarbaRegistration, VzorNone, VrstvaZnaciek); // Čierna v strede
  //vpravo hore
  KresliCiaru([yh-gSirkaCiary, xp, yh-gSirkaCiary, xp+gOrezoveDlzka], gSirkaCiary, FarbaPaper, VzorNone, VrstvaZnaciek); // Biela nad
  KresliCiaru([yh+gSirkaCiary, xp, yh+gSirkaCiary, xp+gOrezoveDlzka], gSirkaCiary, FarbaPaper, VzorNone, VrstvaZnaciek); // Biela pod
  KresliCiaru([yh, xp, yh, xp+gOrezoveDlzka], gSirkaCiary, FarbaRegistration, VzorNone, VrstvaZnaciek); // Čierna v strede
  //vľavo dole
  KresliCiaru([yd-gSirkaCiary, xl, yd-gSirkaCiary, xl+gOrezoveDlzka], gSirkaCiary, FarbaPaper, VzorNone, VrstvaZnaciek); // Biela nad
  KresliCiaru([yd+gSirkaCiary, xl, yd+gSirkaCiary, xl+gOrezoveDlzka], gSirkaCiary, FarbaPaper, VzorNone, VrstvaZnaciek); // Biela pod
  KresliCiaru([yd, xl, yd, xl+gOrezoveDlzka], gSirkaCiary, FarbaRegistration, VzorNone, VrstvaZnaciek); // Čierna v strede
  //vpravo dole
  KresliCiaru([yd-gSirkaCiary, xp, yd-gSirkaCiary, xp+gOrezoveDlzka], gSirkaCiary, FarbaPaper, VzorNone, VrstvaZnaciek); // Biela nad
  KresliCiaru([yd+gSirkaCiary, xp, yd+gSirkaCiary, xp+gOrezoveDlzka], gSirkaCiary, FarbaPaper, VzorNone, VrstvaZnaciek); // Biela pod
  KresliCiaru([yd, xp, yd, xp+gOrezoveDlzka], gSirkaCiary, FarbaRegistration, VzorNone, VrstvaZnaciek); // Čierna v strede
  //zvislé orezové značky
  xl=0;
  xp=2*gSirkaW;
  if (gChrbat != 0) {
   xp=xp+gChrbat+2*gChrbatX;
  }
  if (gChlopna != 0) {
   xp=xp+2*gChlopna+2*gChlopnaX;
  }  
  yh=0-gOrezoveSpadavka-gOrezoveDlzka;
  yd=gVyskaH+gOrezoveSpadavka;
  //vľavo hore
  KresliCiaru([yh, xl-gSirkaCiary, yh+gOrezoveDlzka, xl-gSirkaCiary], gSirkaCiary, FarbaPaper, VzorNone, VrstvaZnaciek); // Biela vľavo
  KresliCiaru([yh, xl+gSirkaCiary, yh+gOrezoveDlzka, xl+gSirkaCiary], gSirkaCiary, FarbaPaper, VzorNone, VrstvaZnaciek); // Biela vpravo
  KresliCiaru([yh, xl, yh+gOrezoveDlzka, xl], gSirkaCiary, FarbaRegistration, VzorNone, VrstvaZnaciek); // Čierna v strede
  //vpravo hore
  KresliCiaru([yh, xp-gSirkaCiary, yh+gOrezoveDlzka, xp-gSirkaCiary], gSirkaCiary, FarbaPaper, VzorNone, VrstvaZnaciek); // Biela vľavo
  KresliCiaru([yh, xp+gSirkaCiary, yh+gOrezoveDlzka, xp+gSirkaCiary], gSirkaCiary, FarbaPaper, VzorNone, VrstvaZnaciek); // Biela vpravo
  KresliCiaru([yh, xp, yh+gOrezoveDlzka, xp], gSirkaCiary, FarbaRegistration, VzorNone, VrstvaZnaciek); // Čierna v strede
  //vľavo dole
  KresliCiaru([yd, xl-gSirkaCiary, yd+gOrezoveDlzka, xl-gSirkaCiary], gSirkaCiary, FarbaPaper, VzorNone, VrstvaZnaciek); // Biela vľavo
  KresliCiaru([yd, xl+gSirkaCiary, yd+gOrezoveDlzka, xl+gSirkaCiary], gSirkaCiary, FarbaPaper, VzorNone, VrstvaZnaciek); // Biela vpravo
  KresliCiaru([yd, xl, yd+gOrezoveDlzka, xl], gSirkaCiary, FarbaRegistration, VzorNone, VrstvaZnaciek); // Čierna v strede  
  //vpravo dole
  KresliCiaru([yd, xp-gSirkaCiary, yd+gOrezoveDlzka, xp-gSirkaCiary], gSirkaCiary, FarbaPaper, VzorNone, VrstvaZnaciek); // Biela vľavo
  KresliCiaru([yd, xp+gSirkaCiary, yd+gOrezoveDlzka, xp+gSirkaCiary], gSirkaCiary, FarbaPaper, VzorNone, VrstvaZnaciek); // Biela vpravo
  KresliCiaru([yd, xp, yd+gOrezoveDlzka, xp], gSirkaCiary, FarbaRegistration, VzorNone, VrstvaZnaciek); // Čierna v strede    
 }
 if (gPasovacieZnackyOK==true) {
  //Vytvorenie vrstvy pre pasovacie značky (ak neexistuje)
  var VrstvaZnaciek=NovyDokument.layers.item("OrezoveZnacky");
  try {
   VrstvaZnaciekName=VrstvaZnaciek.name;
  }
  catch (e) {
   var VrstvaZnaciek=NovyDokument.layers.add({name:"OrezoveZnacky"});
  }
  //všetko sú iba zvislé značky
  xl=0;
  xp=2*gSirkaW;
  if (gChrbat != 0) {
   xp=xp+gChrbat+2*gChrbatX;
  }
  if (gChlopna != 0) {
   xp=xp+2*gChlopna+2*gChlopnaX;
  }
  yh=0-gPasovacieSpadavka-gPasovacieDlzka;
  yd=gVyskaH+gPasovacieSpadavka;
  if (gChlopna != 0) {
   //Sú chlopne, posunieme sa na ne
   xl=xl+gChlopna;
   xp=xp-gChlopna;
   KresliPasovacieZnacky(xl, xp, yh, yd, FarbaRegistration, FarbaPaper, VzorNone, VrstvaZnaciek); 
   if (gChlopnaX != 0) {
    //Sú odsadenia chlopní, posunieme sa na ne
    xl=xl+gChlopnaX;
    xp=xp-gChlopnaX;
    KresliPasovacieZnacky(xl, xp, yh, yd, FarbaRegistration, FarbaPaper, VzorNone, VrstvaZnaciek);  
   }
  }
  if (gChrbat == 0) {
   //Nulový chrbát (V1), posunieme sa do stredu
   xl=xl+gSirkaW;
   //vľavo hore
   KresliCiaru([yh, xl-gSirkaCiary, yh+gPasovacieDlzka, xl-gSirkaCiary], gSirkaCiary, FarbaPaper, VzorNone, VrstvaZnaciek); // Biela vľavo
   KresliCiaru([yh, xl+gSirkaCiary, yh+gPasovacieDlzka, xl+gSirkaCiary], gSirkaCiary, FarbaPaper, VzorNone, VrstvaZnaciek); // Biela vpravo
   KresliCiaru([yh, xl, yh+gPasovacieDlzka, xl], gSirkaCiary, FarbaRegistration, VzorNone, VrstvaZnaciek); // Čierna v strede
   //vľavo dole
   KresliCiaru([yd, xl-gSirkaCiary, yd+gPasovacieDlzka, xl-gSirkaCiary], gSirkaCiary, FarbaPaper, VzorNone, VrstvaZnaciek); // Biela vľavo
   KresliCiaru([yd, xl+gSirkaCiary, yd+gPasovacieDlzka, xl+gSirkaCiary], gSirkaCiary, FarbaPaper, VzorNone, VrstvaZnaciek); // Biela vpravo
   KresliCiaru([yd, xl, yd+gPasovacieDlzka, xl], gSirkaCiary, FarbaRegistration, VzorNone, VrstvaZnaciek); // Čierna v strede  
  }
  else {
   //Je definovaný chrbát (V2, V8), posunieme sa k nemu
   xl=xl+gSirkaW;
   xp=xp-gSirkaW;
   KresliPasovacieZnacky(xl, xp, yh, yd, FarbaRegistration, FarbaPaper, VzorNone, VrstvaZnaciek);
   if (gChrbatX != 0) {
    //Je zadefinované odsadenie chrbta (V8), posunieme sa zaň
    xl=xl+gChrbatX;
    xp=xp-gChrbatX;
    KresliPasovacieZnacky(xl, xp, yh, yd, FarbaRegistration, FarbaPaper, VzorNone, VrstvaZnaciek); 
   }
  }
 }
 // Nastavíme pôvodné nastavenie bodov na palec, napr. 67.564 (Didot)
 try {
  app.viewPreferences.pointsPerInch=BodyNaPalec;
  app.activeDocument.viewPreferences.pointsPerInch=BodyNaPalec;
 }
 catch (e) {}
 //Nastavíme pôvodné nastavenia pravítok
 app.viewPreferences.rulerOrigin=PovodneNastavenia;
 app.viewPreferences.horizontalMeasurementUnits=PovodnaXJednotka;
 app.viewPreferences.verticalMeasurementUnits=PovodnaYJednotka;
 app.viewPreferences.strokeMeasurementUnits=PovodnaTahJednotka;
 NovyDokument.viewPreferences.horizontalMeasurementUnits=PovodnaXJednotka;
 NovyDokument.viewPreferences.verticalMeasurementUnits=PovodnaYJednotka;
 NovyDokument.viewPreferences.strokeMeasurementUnits=PovodnaTahJednotka; 
}

function KresliPasovacieZnacky(xl, xp, yh, yd, FarbaRegistration, FarbaPaper, VzorNone, VrstvaZnaciek){
 //vľavo hore
 KresliCiaru([yh, xl-gSirkaCiary, yh+gPasovacieDlzka, xl-gSirkaCiary], gSirkaCiary, FarbaPaper, VzorNone, VrstvaZnaciek); // Biela vľavo
 KresliCiaru([yh, xl+gSirkaCiary, yh+gPasovacieDlzka, xl+gSirkaCiary], gSirkaCiary, FarbaPaper, VzorNone, VrstvaZnaciek); // Biela vpravo
 KresliCiaru([yh, xl, yh+gPasovacieDlzka, xl], gSirkaCiary, FarbaRegistration, VzorNone, VrstvaZnaciek); // Čierna v strede
 //vpravo hore
 KresliCiaru([yh, xp-gSirkaCiary, yh+gPasovacieDlzka, xp-gSirkaCiary], gSirkaCiary, FarbaPaper, VzorNone, VrstvaZnaciek); // Biela vľavo
 KresliCiaru([yh, xp+gSirkaCiary, yh+gPasovacieDlzka, xp+gSirkaCiary], gSirkaCiary, FarbaPaper, VzorNone, VrstvaZnaciek); // Biela vpravo
 KresliCiaru([yh, xp, yh+gPasovacieDlzka, xp], gSirkaCiary, FarbaRegistration, VzorNone, VrstvaZnaciek); // Čierna v strede
 //vľavo dole
 KresliCiaru([yd, xl-gSirkaCiary, yd+gPasovacieDlzka, xl-gSirkaCiary], gSirkaCiary, FarbaPaper, VzorNone, VrstvaZnaciek); // Biela vľavo
 KresliCiaru([yd, xl+gSirkaCiary, yd+gPasovacieDlzka, xl+gSirkaCiary], gSirkaCiary, FarbaPaper, VzorNone, VrstvaZnaciek); // Biela vpravo
 KresliCiaru([yd, xl, yd+gPasovacieDlzka, xl], gSirkaCiary, FarbaRegistration, VzorNone, VrstvaZnaciek); // Čierna v strede  
 //vpravo dole
 KresliCiaru([yd, xp-gSirkaCiary, yd+gPasovacieDlzka, xp-gSirkaCiary], gSirkaCiary, FarbaPaper, VzorNone, VrstvaZnaciek); // Biela vľavo
 KresliCiaru([yd, xp+gSirkaCiary, yd+gPasovacieDlzka, xp+gSirkaCiary], gSirkaCiary, FarbaPaper, VzorNone, VrstvaZnaciek); // Biela vpravo
 KresliCiaru([yd, xp, yd+gPasovacieDlzka, xp], gSirkaCiary, FarbaRegistration, VzorNone, VrstvaZnaciek); // Čierna v strede
}

function KresliCiaru(Okraje, Sirka, Farba, Vzor, Vrstva){
 NovyDokument.graphicLines.add(Vrstva, undefined, undefined,{strokeWeight:Sirka, fillColor:Vzor, strokeColor:Farba, geometricBounds:Okraje})
}

function Nacitaj_nastavenia(){
 //Načítanie posledných nastavení zo súboru
 var SuborSkriptu=File(app.activeScript);
 var AdresarSkriptu=SuborSkriptu.parent;
 var NazovSuboru=AdresarSkriptu + "/" + "VytvorObalKnihy_nastavenia.txt";
 var Subor=File(NazovSuboru);
 var OtvorenySubor=Subor.open("r", undefined, undefined);
 if (OtvorenySubor) {
  var PoleNastaveni=Subor.read();
  PoleNastaveni=PoleNastaveni.split("\n");
  if (PoleNastaveni.length == 21) {
   gVyskaH=+(PoleNastaveni[0] + "");
   gSirkaW=+(PoleNastaveni[1] + "");
   gOkrajL=+(PoleNastaveni[2] + "");
   gOkrajR=+(PoleNastaveni[3] + "");
   gOkrajT=+(PoleNastaveni[4] + "");
   gOkrajB=+(PoleNastaveni[5] + "");
   gChrbat=+(PoleNastaveni[6] + "");
   gChrbatO=+(PoleNastaveni[7] + "");
   gChrbatX=+(PoleNastaveni[8] + "");
   gChlopna=+(PoleNastaveni[9] + "");
   gChlopnaX=+(PoleNastaveni[10] + "");
   gSpadavka=+(PoleNastaveni[11] + "");
   gPopis=+(PoleNastaveni[12] + "");
   gSirkaCiary=+(PoleNastaveni[13] + "");
   gOrezoveZnackyOK=!!(+(PoleNastaveni[14] + ""));
   gOrezoveSpadavka=+(PoleNastaveni[15] + "");
   gOrezoveDlzka=+(PoleNastaveni[16] + "");
   gPasovacieZnackyOK=!!(+(PoleNastaveni[17] + ""));
   gPasovacieSpadavka=+(PoleNastaveni[18] + "");
   gPasovacieDlzka=+(PoleNastaveni[19] + "");      
  }
 }
 Subor.close();
}

function Uloz_nastavenia(){
 //Uloženie posledných nastavení do súboru
 var SuborSkriptu=File(app.activeScript);
 var AdresarSkriptu=SuborSkriptu.parent;
 var NazovSuboru=AdresarSkriptu + "/" + "VytvorObalKnihy_nastavenia.txt";
 var Subor=File(NazovSuboru);
 var OtvorenySubor=Subor.open("w", undefined, undefined);
 if (OtvorenySubor) {
  Subor.writeln(gVyskaH);
  Subor.writeln(gSirkaW);
  Subor.writeln(gOkrajL);
  Subor.writeln(gOkrajR);
  Subor.writeln(gOkrajT);
  Subor.writeln(gOkrajB);
  Subor.writeln(gChrbat);
  Subor.writeln(gChrbatO);
  Subor.writeln(gChrbatX);
  Subor.writeln(gChlopna);
  Subor.writeln(gChlopnaX);
  Subor.writeln(gSpadavka);
  Subor.writeln(gPopis);
  Subor.writeln(gSirkaCiary);
  Subor.writeln(+gOrezoveZnackyOK);
  Subor.writeln(gOrezoveSpadavka);
  Subor.writeln(gOrezoveDlzka);
  Subor.writeln(+gPasovacieZnackyOK);
  Subor.writeln(gPasovacieSpadavka);
  Subor.writeln(gPasovacieDlzka);
 }
 Subor.close();
}
